Winevt.EVT_LOG_PROPERTY_ID (JNA API)

com.sun.jna.platform.win32

## Interface Winevt.EVT_LOG_PROPERTY_ID

- Enclosing interface:
    Winevt

      public static interface Winevt.EVT_LOG_PROPERTY_ID

  Defines the identifiers that identify the log file metadata properties of a channel or log file. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385536(v=vs.85).aspx

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EvtLogAttributes` Identifies the property that contains the file attributes (for details on the file attributes, see the GetFileAttributesEx function).
    `static int` | `EvtLogCreationTime` Identifies the property that contains the time that the channel or log file was created.
    `static int` | `EvtLogFileSize` Identifies the property that contains the size of the file, in bytes.
    `static int` | `EvtLogFull` Identifies the property that you use to determine whether the channel or log file is full.
    `static int` | `EvtLogLastAccessTime` Identifies the property that contains the last time that the channel or log file was accessed.
    `static int` | `EvtLogLastWriteTime` Identifies the property that contains the last time that the channel or log file was written to.
    `static int` | `EvtLogNumberOfLogRecords` Identifies the property that contains the number of records in the channel or log file.
    `static int` | `EvtLogOldestRecordNumber` Identifies the property that contains the record number of the oldest event in the channel or log file.

- - ### Field Detail

    - #### EvtLogCreationTime

          static final int EvtLogCreationTime

      Identifies the property that contains the time that the channel or log file was created. The variant type for this property is EvtVarTypeFileTime.
      See Also:
        Constant Field Values

    - #### EvtLogLastAccessTime

          static final int EvtLogLastAccessTime

      Identifies the property that contains the last time that the channel or log file was accessed. The variant type for this property is EvtVarTypeFileTime.
      See Also:
        Constant Field Values

    - #### EvtLogLastWriteTime

          static final int EvtLogLastWriteTime

      Identifies the property that contains the last time that the channel or log file was written to. The variant type for this property is EvtVarTypeFileTime.
      See Also:
        Constant Field Values

    - #### EvtLogFileSize

          static final int EvtLogFileSize

      Identifies the property that contains the size of the file, in bytes. The variant type for this property is EvtVarTypeUInt64.
      See Also:
        Constant Field Values

    - #### EvtLogAttributes

          static final int EvtLogAttributes

      Identifies the property that contains the file attributes (for details on the file attributes, see the GetFileAttributesEx function). The variant type for this property is EvtVarTypeUInt32.
      See Also:
        Constant Field Values

    - #### EvtLogNumberOfLogRecords

          static final int EvtLogNumberOfLogRecords

      Identifies the property that contains the number of records in the channel or log file. The variant type for this property is EvtVarTypeUInt64.
      See Also:
        Constant Field Values

    - #### EvtLogOldestRecordNumber

          static final int EvtLogOldestRecordNumber

      Identifies the property that contains the record number of the oldest event in the channel or log file. The variant type for this property is EvtVarTypeUInt64.
      See Also:
        Constant Field Values

    - #### EvtLogFull

          static final int EvtLogFull

      Identifies the property that you use to determine whether the channel or log file is full. The variant type for this property is EvtVarTypeBoolean. The channel is full if another event cannot be written to the channel (for example, if the channel is sequential and maximum size is reached). The property will always be false if the channel is circular or the sequential log is automatically backed up.
      See Also:
        Constant Field Values

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.